Subject: Amaryllis (spell)question

From: [email-masked] (Michael Kennedy)
Date: 8 Mar 1995 08:14:28 -0700

I have an amaryllis bulb that I planted in a 14 inch pot in potting soil
5 years ago.  I leave it there year round and water with a 10-30-10 solution
weekly.  It receives eastern sun only.  Tempertures go down to 50 in the winter
and 80 in the summer.  It seems that I'm doing everything that I'm not
supposed to do.  I don't cut the leaves I just pull them off as they die,
I don't let the bulb dry out or give it a rest period, I keep watering
and watching.  Well it's bloomed each of the five years and is getting huge.
There are three daughter bulbs now.  So not knowing what I'm supposed to do
I decided to try and fertilize a flower.  I dipped my fingertip in the pollen and 
fertilized two flowers.  My reward is (after one week)
two (I hate vi) seed pods forming.  Here's my question-- What shouldn't I do with these pods?  How long till ripe? What don't I plant the seeds in?
Help!
Thanks